SystemOrganization addCategory: #'Tarea3-FinderTest'!

TestCase subclass: #FinderClassNodeTest
	instanceVariableNames: 'fcnode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderClassNodeTest methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 23:48'!
setUp
	fcnode := FinderClassNode new.! !

!FinderClassNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 23:53'!
testAsString
	self assert: (fcnode asString) = nil.! !

!FinderClassNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:07'!
testChildNodeClassFromItem
	| item |
	item := nil.
	self assert: (fcnode childNodeClassFromItem: item) = FinderMethodNode.! !

!FinderClassNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:38'!
testError
	| event |
	event := UserInputEvent new.
	self should: [fcnode browse] raise: Error.
	self should: [fcnode browseClass] raise: Error.
	self should: [fcnode browseReferences] raise: Error.
	self should: [fcnode childrenItems] raise: Error.
	self should: [fcnode foundReceiverOf: 'asdf'] raise: Error.
	self should: [fcnode keyStroke: event] raise: Error.! !

!FinderClassNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:38'!
testMenu
	| menu bool |
	bool := true.
	menu := MenuMorph new.
	self assert: (fcnode menu: menu shifted: bool) = menu.! !

TestCase subclass: #FinderMethodNodeTest
	instanceVariableNames: 'fmnode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderMethodNodeTest methodsFor: 'running' stamp: 'AldoBertero 1/7/2012 00:52'!
setUp
	fmnode := FinderMethodNode new.! !

!FinderMethodNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 01:01'!
testChildNodeClassFromItem
	| item |
	item := nil.
	self assert: (fmnode childNodeClassFromItem: item) = FinderClassNode.! !

!FinderMethodNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:58'!
testError
	| event |
	event := UserInputEvent new.
	self should: [fmnode browseClass] raise: Error.
	self should: [fmnode browseImplementors] raise: Error.
	self should: [fmnode childrenItems] raise: Error.
	self should: [fmnode foundReceiverOf: 'asdf'] raise: Error.
	self should: [fmnode keyStroke: event] raise: Error.! !

!FinderMethodNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:52'!
testMenu
	| menu bool |
	bool := true.
	menu := MenuMorph new.
	self assert: (fmnode menu: menu shifted: bool) = menu.! !

!FinderMethodNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:59'!
testVoid
	| menu |
	menu := MenuMorph new.
	"| event |
	event := UserInputEvent new.
	fnode keyStroke: event."
	fmnode inspectItem.
	fmnode addInspectMenuItem: menu.
	fmnode browse.
	fmnode browseSenders.! !

TestCase subclass: #FinderNodeTest
	instanceVariableNames: 'fnode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderNodeTest methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 20:29'!
setUp
	fnode := FinderNode new.! !

!FinderNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/7/2012 00:30'!
testError
	| event |
	event := UserInputEvent new.
	self should: [fnode browse] raise: Error.
	self should: [fnode browseClass] raise: Error.
	self should: [fnode keyStroke: event] raise: Error.
	self should: [fnode doubleClick] raise: Error.! !

!FinderNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 22:52'!
testHasParentNode
	self assert: (fnode hasParentNode) = false.! !

!FinderNodeTest methodsFor: 'as yet unclassified' stamp: 'AldoBertero 1/7/2012 00:14'!
testMenu
	| menu bool |
	bool := true.
	menu := MenuMorph new.
	self assert: (fnode menu: menu shifted: bool) = menu.! !

!FinderNodeTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 23:20'!
testVoid
	| menu |
	menu := MenuMorph new.
	"| event |
	event := UserInputEvent new.
	fnode keyStroke: event."
	fnode inspectItem.
	fnode addInspectMenuItem: menu.! !

TestCase subclass: #FinderTest
	instanceVariableNames: 'finder'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderTest methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 16:59'!
setUp
	finder := Finder new.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:12'!
testComputeListOfClasses
	| col |
	col := OrderedCollection new.
	self assert: (finder computeListOfClasses: 'asdf') = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:02'!
testCurrentSearchMode
	| sym |
	finder currentSearchMode: sym.
	self assert: (finder currentSearchMode) = sym.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:03'!
testEnvironment
	| col |
	col := OrderedCollection new.
	finder environment: col.
	self assert: (finder environment) = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 19:50'!
testError
	self should: [finder testObjects: nil strings: 'asdf'] raise:Error.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:36'!
testFindSelector
 	|str|
	str:= 'asdf'.
	self assert: (finder findSelector: str) = nil.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsPatternSymbol
	finder currentSearchMode: #Examples.
	self assert: (finder isPatternSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:33'!
testIsSelectorsSSourceFiles
	finder currentSearchMode: #Selectors.
	self assert: (finder isSelectorsSSourceFiles) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsSelectorsSymbol
	finder currentSearchMode: #Selectors.
	self assert: (finder isSelectorsSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsSourceSymbol
	finder currentSearchMode: #Source.
	self assert: (finder isSourceSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:05'!
testPackagesSelection
	| col |
	col := OrderedCollection new.
	finder packagesSelection: col.
	self assert: (finder packagesSelection) = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:10'!
testResultDictionary
	| dic |
	dic := Dictionary new.
	finder resultDictionary: dic.
	self assert: (finder resultDictionary) = dic.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:55'!
testSearchingString
	| str |
	str := 'asdf'.
	finder searchingString: str.
	finder searchingStringSilently: str.
	finder constructClassNamesDictionary.
	finder constructDictionaryWithMethodFinder: str.
	self assert: (finder searchingString) = str.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 19:02'!
testSourceSearch
	| str col |
	col := OrderedCollection new.
	str := 'asdasfafgasdadsas'.
	finder packagesSelection: col.
	self assert: (finder sourceSearch: str) = col.
	finder constructSourceDictionary.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:17'!
testUseRegEx
	| bool |
	bool := true.
	finder useRegEx: bool.
	self assert: (finder useRegEx) = bool.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:40'!
testVoids
	|obj|
	obj := nil.
	finder openInWorld.
	finder resetEnvironment.
	finder selection: obj.! !

TestCase subclass: #FinderUITest
	instanceVariableNames: 'fui'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderUITest methodsFor: 'as yet unclassified' stamp: 'AldoBertero 1/7/2012 01:07'!
setUp
	fui := FinderUI new.! !

!FinderUITest methodsFor: 'as yet unclassified' stamp: 'AldoBertero 1/7/2012 01:13'!
testError
	self should: [fui environmentButtonAction] raise: Error.
	self should: [fui hierarchyButtonAction] raise: Error.
	self should: [fui inheritanceButtonAction] raise: Error.
	self should: [fui versionsButtonAction] raise: Error.
	self should: [fui implementorsButtonAction] raise: Error.
	self should: [fui sendersButtonAction] raise: Error.! !

!FinderUITest methodsFor: 'as yet unclassified' stamp: 'AldoBertero 1/7/2012 01:10'!
testVoid! !

TestCase subclass: #MethodFinderTest2
	instanceVariableNames: 'mfinder'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!MethodFinderTest2 methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 18:39'!
setUp
	mfinder := MethodFinder new.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:41'!
testArgMap
	self assert: (mfinder argMap) = nil.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:43'!
testCleanInputs
	| str |
	str := 'asdf'.
	self assert: (mfinder cleanInputs: str) = str.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 19:30'!
testError
	self should: [mfinder mapData] raise: Error.
	self should: [mfinder makeAllMaps] raise: Error.
	self should: [mfinder testRandom] raise: Error.
	self should: [mfinder verify] raise: Error.
	self should: [mfinder constMult] raise: Error.
	self should: [mfinder constMod] raise: Error.
	self should: [mfinder constPlus] raise: Error.
	self should: [mfinder constEquiv] raise: Error.
	self should: [mfinder constLinear] raise: Error.
	self should: [mfinder constDiv] raise: Error.
	self should: [mfinder testFromTuple:nil] raise: Error.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:42'!
testThisData
	self assert: (mfinder thisData) = nil.! !
